# FileListNode Struct Reference

Represents once instance of a file. More...

`#include <FileList.h>`

List of all members.

## Public Attributes
RakNet::RakString | filename
| Name of the file.
RakNet::RakString | fullPathToFile
| Full path to the file, which may be different than filename.
char * | data
| File data (may be null if not ready).
BitSize_t | dataLengthBytes
| Length of data. May be greater than fileLength if prepended with a file hash.
unsigned | fileLengthBytes
| Length of the file.
FileListNodeContext | context
| User specific data for whatever, describing this file.
bool | isAReference
| If true, data and dataLengthBytes should be empty. This is just storing the filename.

## Detailed Description

Represents once instance of a file.

The documentation for this struct was generated from the following file:

- d:/RakNet-3.x/Source/FileList.h